Skip to content
POST/{organizationId}/{mandateId}/finance/cash/sepaDirectDebits/sepaCsvFile

Export sepa direct debit

Exports a specific sepa direct debit for a given mandate and creates the sepa csv file and marks it as submitted

Required permissions:

  • mandate.read

  • sepaDirectDebit.edit

Path Parameters

organizationIdstringrequired
mandateIdstringrequired

Request Body required

Content-Type: application/json

sepaDirectDebitIdstringrequired

Authentication: X-API-Key

Request

POST/{organizationId}/{mandateId}/finance/cash/sepaDirectDebits/sepaCsvFile
curl --request POST 'https://cloud.campai.com/api/{organizationId}/{mandateId}/finance/cash/sepaDirectDebits/sepaCsvFile' \
  --header 'X-API-Key: YOUR_API_KEY' \
  --header 'Content-Type: application/json' \
  --data '{
  "sepaDirectDebitId": "string"
}'

Responses

This endpoint returns different response codes based on the request outcome.

200Successful response

Content-Type: application/json

Response

200
{
  "fileName": "string",
  "csv": "string"
}

400Invalid input data

Content-Type: application/json

The error information

messagestringrequired

The error message

codestringrequired

The error code

An array of issues that were responsible for the error

Response

400
{
  "code": "BAD_REQUEST",
  "message": "Invalid input data",
  "issues": []
}

401Authorization not provided

Content-Type: application/json

The error information

messagestringrequired

The error message

codestringrequired

The error code

An array of issues that were responsible for the error

Response

401
{
  "code": "UNAUTHORIZED",
  "message": "Authorization not provided",
  "issues": []
}

403Insufficient access

Content-Type: application/json

The error information

messagestringrequired

The error message

codestringrequired

The error code

An array of issues that were responsible for the error

Response

403
{
  "code": "FORBIDDEN",
  "message": "Insufficient access",
  "issues": []
}

500Internal server error

Content-Type: application/json

The error information

messagestringrequired

The error message

codestringrequired

The error code

An array of issues that were responsible for the error

Response

500
{
  "code": "INTERNAL_SERVER_ERROR",
  "message": "Internal server error",
  "issues": []
}